Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 17-09-2017 18:32:48

Debian Alain
Adhérent(e)
Lieu : BREST
Distrib. : W$10 / stable / fedora / ubuntu / testing
Noyau : Linux 4.17.0-1 debian
(G)UI : Gnome classic / Gdm3
Inscription : 11-03-2017
Site Web

[résolu] gdm 3 mise à jour

bonsoir ,

suite à de nombreuses installations de bureaux sous buster ,

et aussi , bien sûr , de désinstallations ,

je me retrouve avec des entrées non désirées dans GDM3 .

comment les supprimer ?

il s'agit des entrées de

- LXDE
- XFCE
- LXQt

merci

j'ai trouvé ceci :

https://wiki.debian.org/fr/Gnome3
et ceci :
https://leblogdolivyeahh.wordpress.com/ … graphique/
qui mène là :
https://github.com/Nano77/various/tree/ … ility-3.4/
et là :
https://github.com/Nano77/various/tree/ … ils/debian

à vrai dire , je suis un peu perdu . le logiciel proposé date de 4 ans en arrière
et je crois que la commande :

# aptitude update && aptitude install gdm3 gnome-session



réinstallera gdm 3 .

donc , que faire ?

j'essaie :

root@Alain-Buster-PC:/home/alain# aptitude update && aptitude install gdm3 gnome-session



Prendre :  1 http://ftp.fr.debian.org/debian buster InRelease [135 kB]
Prendre :  2 http://security.debian.org buster/updates InRelease [25,5 kB]
Prendre :  3 http://ftp.fr.debian.org/debian buster-updates InRelease [46,0 kB]
Prendre :  4 http://ftp.fr.debian.org/debian sid InRelease [234 kB]
Prendre :  5 http://ftp.fr.debian.org/debian buster/main amd64 Packages.diff/Index [27,9 kB]
Prendre :  6 http://ftp.fr.debian.org/debian buster/main Translation-en.diff/Index [27,9 kB]
Prendre :  7 http://ftp.fr.debian.org/debian buster/main amd64 Packages 2017-09-17-1421.46.pdiff [655 B]
Prendre :  8 http://ftp.fr.debian.org/debian buster/main amd64 Packages 2017-09-17-1421.46.pdiff [655 B]
Prendre :  9 http://ftp.fr.debian.org/debian buster/main Translation-en 2017-09-17-1421.46.pdiff [410 B]
Prendre :  10 http://ftp.fr.debian.org/debian buster/main Translation-en 2017-09-17-1421.46.pdiff [410 B]
Prendre :  11 http://ftp.fr.debian.org/debian buster/main amd64 DEP-11 Metadata [3 051 kB]
Prendre :  12 http://ftp.fr.debian.org/debian buster/main DEP-11 64x64 Icons [6 830 kB]
Prendre :  13 http://ftp.fr.debian.org/debian sid/main amd64 Packages.diff/Index [27,9 kB]
Prendre :  14 http://ftp.fr.debian.org/debian sid/main Translation-en.diff/Index [27,9 kB]
Prendre :  15 http://ftp.fr.debian.org/debian sid/main amd64 Packages 2017-09-17-1421.46.pdiff [27,9 kB]
Prendre :  16 http://ftp.fr.debian.org/debian sid/main amd64 Packages 2017-09-17-1421.46.pdiff [27,9 kB]
Prendre :  17 http://ftp.fr.debian.org/debian sid/main Translation-en 2017-09-17-1421.46.pdiff [91 B]
Prendre :  18 http://ftp.fr.debian.org/debian sid/main Translation-en 2017-09-17-1421.46.pdiff [91 B]
Prendre :  19 http://ftp.fr.debian.org/debian sid/main amd64 DEP-11 Metadata [3 132 kB]
Prendre :  20 http://ftp.fr.debian.org/debian sid/main DEP-11 64x64 Icons [7 111 kB]
 20,7 Mo téléchargés en 2s (7 151 ko/s)                                        
                                                       
État actuel : 17 (+13) upgradable, 2 (+2) new.
gdm3 est déjà installé avec la version demandée (3.26.0-1)
gnome-session est déjà installé avec la version demandée (3.26.0-1)
gdm3 est déjà installé avec la version demandée (3.26.0-1)
gnome-session est déjà installé avec la version demandée (3.26.0-1)
Aucun paquet ne va être installé, mis à jour ou enlevé.
0 paquets mis à jour, 0 nouvellement installés, 0 à enlever et 17 non mis à jour.
Il est nécessaire de télécharger 0 o d'archives. Après dépaquetage, 0 o seront utilisés.
 



on va voir ...

pas d'effet . gdm est toujours là avec les mêmes entrées .

d'après wikipedia :

Les bureaux vides, à l'exception du dernier, sont automatiquement supprimés.



j'en conclus que les bureaux cités en début de ce message ne sont pas vides .

comment les purger ?

j'ai fini par désinstaller tous les paquets

- lxde-core / task-lxde-desktop / lxde
- xfce4
- lxqt-core / task-lxqt-desktop / lxqt / lxqt*

et voilà , c'est réglé .

seul lxqt m'a  fait de la résistance mais la désinstallation de lxqt* a tout réglé .

merci .

Dernière modification par Debian Alain (17-09-2017 21:19:38)


1498812139.jpg NIGHTWISH - STORYTIME -
RYZEN7 1700X - PRIME X370 PRO - 16 Go DDR4 - RADEON PULSE RX 550 4GB DDR5 OC UEFI - CORSAIR RM750X - SSD crucial MX500 500GB

En ligne

#2 17-09-2017 19:45:24

Croutons
Membre
Distrib. : Handylinux 2.5 vers Jessie et Debian Stretch
Noyau : Linux 3.16.0-4-686-pae, Linux 4.9.0-7-686-pae
(G)UI : xfce
Inscription : 16-12-2016

Re : [résolu] gdm 3 mise à jour

Bonjour si tu ne veux plus des autres environnement tu désinstalles les paquets correspondant
Perso quand je cherche une correspondance je passe par synaptic, recherche dans description et nom
Ou avec apt-cache , j'ai regardé le man
Exemple pour xfce

apt-cache search xfce


la tu as un retour de liste assez long , dans la liste je prend un paquet au pif et je demande que quel paquet il dépend

apt-cache rdepends xfce4-battery-plugin


apt-cache rdepends xfce4-battery-plugin


xfce4-battery-plugin
Reverse Depends:
  xfce4-goodies
 


xfce4-goodies et un meta paquet si je le supprime il va faire pas mal le ménage déjà

Commence par voir si tu as pas xfce4 comme meta paquet
Enfin c'est mieux avec synatic je trouve quand tu as fait ta recherche tu cliques l'intitulé de  la première colonne et tu aura les paquet installé regroupé

Dernière modification par Croutons (18-09-2017 09:58:08)


-->les cahiers du debutant<--      WikiDF-->Découvrir les principales commandes Linux<--
L' expérience, c'est le nom que chacun donne à ses erreurs. Oscar Wilde

Hors ligne

#3 17-09-2017 19:59:23

Debian Alain
Adhérent(e)
Lieu : BREST
Distrib. : W$10 / stable / fedora / ubuntu / testing
Noyau : Linux 4.17.0-1 debian
(G)UI : Gnome classic / Gdm3
Inscription : 11-03-2017
Site Web

Re : [résolu] gdm 3 mise à jour

je ne connaissais pas cette méthode , croutons .

merci .

je connais

- apt-cache  policy
- apt-cache search

mais je connaissais pas

- apt-cache rdepends

encore une fois merci .

Dernière modification par Debian Alain (17-09-2017 20:12:30)


1498812139.jpg NIGHTWISH - STORYTIME -
RYZEN7 1700X - PRIME X370 PRO - 16 Go DDR4 - RADEON PULSE RX 550 4GB DDR5 OC UEFI - CORSAIR RM750X - SSD crucial MX500 500GB

En ligne

#4 18-09-2017 09:55:57

Croutons
Membre
Distrib. : Handylinux 2.5 vers Jessie et Debian Stretch
Noyau : Linux 3.16.0-4-686-pae, Linux 4.9.0-7-686-pae
(G)UI : xfce
Inscription : 16-12-2016

Re : [résolu] gdm 3 mise à jour

moi non plus je connaissais pas, mais un petit coup de manpage plus tard et me voici a faire quel essai

-->les cahiers du debutant<--      WikiDF-->Découvrir les principales commandes Linux<--
L' expérience, c'est le nom que chacun donne à ses erreurs. Oscar Wilde

Hors ligne

#5 18-09-2017 10:49:13

smolski
administrateur quasi...modo
Lieu : AIN
Distrib. : 9 (stretch) 64 bits + backports
Noyau : 4.9.65-3+deb9u2
(G)UI : gnome
Inscription : 21-10-2008

Re : [résolu] gdm 3 mise à jour

je voulais l'ajouter au tuto apt-cache du wiki et quwoâ ! Il y était déjà big_smile

https://debian-facile.org/doc:systeme:a … -un-paquet

"Théo et Adama te rappellent pourquoi Zyed et Bouna couraient…"
"L'utopie ne signifie pas l'irréalisable, mais l'irréalisée." - T Monod (source :  La zone de Siné)
"Je peux rire de tout mais pas avec n'importe qui." - P Desproges
"saque eud dun" (patois chtimi : fonce dedans)

Hors ligne

#6 18-09-2017 20:58:47

Debian Alain
Adhérent(e)
Lieu : BREST
Distrib. : W$10 / stable / fedora / ubuntu / testing
Noyau : Linux 4.17.0-1 debian
(G)UI : Gnome classic / Gdm3
Inscription : 11-03-2017
Site Web

Re : [résolu] gdm 3 mise à jour

intéressant ton lien , smolski .

mais :

alain@Alain-Buster-PC:~$ apt-cache --installed rdepends gnome



gnome
Reverse Depends:
  task-gnome-desktop
  task-gnome-desktop
  gnome-core
 |desktop-base
 



peux tu m'expliquer ce que signifie la barre verticale sur la dernière ligne ?

|desktop-base



intéressant aussi :

alain@Alain-Buster-PC:~$ apt-cache show gnome



Package: gnome
Source: meta-gnome3
Version: 1:3.22+4
Installed-Size: 33
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Architecture: amd64
Depends: gnome-core (= 1:3.22+4), desktop-base, network-manager-gnome (>= 1.4), libproxy1-plugin-networkmanager, cheese (>= 3.22), evolution (>= 3.22), evolution-plugins (>= 3.22), file-roller (>= 3.22), gnome-calendar (>= 3.22), gnome-clocks (>= 3.22), gnome-color-manager (>= 3.22), gnome-dictionary (>= 3.20), gnome-documents (>= 3.22), gnome-getting-started-docs (>= 3.22), gnome-maps (>= 3.22), gnome-music (>= 3.22), gnome-todo (>= 3.22), shotwell | gnome-photos (>= 3.22), gnome-screenshot (>= 3.22), gnome-sound-recorder, gnome-tweak-tool (>= 3.22), gnome-weather (>= 3.20), nautilus-sendto (>= 3.8), gnome-orca (>= 3.22), rygel-playbin (>= 0.24), rygel-tracker (>= 0.24), seahorse (>= 3.20), simple-scan, vinagre (>= 3.22), avahi-daemon, gimp (>= 2.8), inkscape (>= 0.48), libreoffice-evolution, libreoffice-gnome, libreoffice-writer, libreoffice-calc, libreoffice-impress, libgsf-bin, rhythmbox (>= 3.0), xdg-user-dirs-gtk, cups-pk-helper (>= 0.2), gedit-plugins (>= 3.22), gstreamer1.0-libav (>= 1.10), gstreamer1.0-plugins-ugly (>= 1.10), rhythmbox-plugins, rhythmbox-plugin-cdrecorder, totem-plugins, libgtk2-perl (>= 1:1.130)
Recommends: brasero, gnome-games, polari, transmission-gtk
Suggests: alacarte, empathy, goobox | sound-juicer, xul-ext-ublock-origin, xul-ext-gnome-keyring, firefox-esr-l10n-all | firefox-l10n-all
Description-fr: environnement complet de bureau GNOME, avec composants additionnels
 Ce paquet fournit l'environnement de bureau GNOME, un bureau intuitif et
 attrayant, avec des composants additionnels.
 .
 Ce métapaquet dépend de l'ensemble des composants standards de
 l’environnement de bureau GNOME, auquel sont ajoutés un jeu complet de
 greffons et d'autres applications s'intégrant avec GNOME et Debian,
 fournissant ainsi le meilleur environnement de bureau possible
 actuellement.
Description-md5: 984c5028c0ccad6f8854b311229d0985
Tag: interface::graphical, interface::x11, role::metapackage, suite::gnome,
 suite::gnu, uitoolkit::gtk, use::gameplaying
Section: metapackages
Priority: optional
Filename: pool/main/m/meta-gnome3/gnome_3.22+4_amd64.deb
Size: 24838
MD5sum: 24ca9ef69142b09e7d9ae1c8c6d3a891
SHA256: 4038b966b7e4403499e8e10f4475655a386b321db51400fac0caed1777d8339b
 



par contre , étant sous mate , il semble qu'il n'y ait pas moyen d'avoir des infos sur  le bureau courant :

alain@Alain-Buster-PC:~$ apt-cache policy mate


mate:
  Installé : (aucun)
  Candidat : (aucun)
 Table de version :
 



en contrepartie , on peut faire :

alain@Alain-Buster-PC:~$ apt-cache show mate-desktop-environment


ce qui donne :

Package: mate-desktop-environment
Version: 1.18.0+1
Installed-Size: 9
Maintainer: MATE Packaging Team <pkg-mate-team@lists.alioth.debian.org>
Architecture: all
Provides: mate
Depends: mate-desktop-environment-core (= 1.18.0+1)
Recommends: atril (>= 1.18), desktop-base | ubuntu-wallpapers, engrampa (>= 1.18), eom (>= 1.18), ffmpegthumbnailer, mate-calc (>= 1.18), mate-applets (>= 1.18), mate-icon-theme-faenza (>= 1.18), mate-media (>= 1.18), mate-notification-daemon (>= 1.18), mate-power-manager (>= 1.18), mate-screensaver (>= 1.18), mate-system-monitor (>= 1.18), mate-user-guide (>= 1.18), mate-utils (>= 1.18), pluma (>= 1.18)
Suggests: mail-reader | thunderbird, network-manager-gnome, x-www-browser | firefox
Description-en: MATE Desktop Environment (metapackage)
 The MATE Desktop Environment is the continuation of GNOME 2. It provides an
 intuitive and attractive desktop environment using traditional metaphors for
 Linux and other Unix-like operating systems.
 .
 MATE is under active development to add support for new technologies while
 preserving a traditional desktop experience.
 .
 This package installs the standard set of applications that are
 part of the official MATE release.
 .
 It also suggests a few non-MATE standard desktop applications like an
 internet browser, a mail reader and a network management applet.
Description-md5: 8105273afc4042ae9495ec264fc266e6
Homepage: http://www.mate-desktop.org/
Section: x11
Priority: optional
Filename: pool/main/m/mate-desktop-environment/mate-desktop-environment_1.18.0+1_all.deb
Size: 3924
MD5sum: b424f0bb0426b58ba2de45a3979917eb
SHA256: 1efda870bcc860a859f38e1b1250b87e76727d179d41c61b2cbdaffa84ab0505
 



en revanche , à propos de cinnamon , là aussi , ça marche :

alain@Alain-Buster-PC:~$ apt-cache show cinnamon



Package: cinnamon
Version: 3.4.6-1
Installed-Size: 1265
Maintainer: Debian Cinnamon Team <pkg-cinnamon-team@lists.alioth.debian.org>
Architecture: amd64
Replaces: cinnamon-common (<= 2.2.14-1)
Provides: notification-daemon, x-window-manager
Depends: cinnamon-common (= 3.4.6-1), cinnamon-control-center (>= 3.4), cinnamon-desktop-data (>= 3.4), cinnamon-screensaver (>= 3.4), cinnamon-session (>= 3.4), cinnamon-settings-daemon (>= 3.4), cjs (>= 3.2), cups-pk-helper, gir1.2-accountsservice-1.0, gir1.2-caribou-1.0, gir1.2-clutter-1.0, gir1.2-cmenu-3.0 (>= 3.0), gir1.2-cogl-1.0, gir1.2-cvc-1.0, gir1.2-gdkpixbuf-2.0, gir1.2-gkbd-3.0, gir1.2-glib-2.0, gir1.2-gnomedesktop-3.0, gir1.2-gtk-3.0, gir1.2-gtkclutter-1.0, gir1.2-keybinder-3.0, gir1.2-notify-0.7, gir1.2-pango-1.0, gir1.2-polkit-1.0, gir1.2-soup-2.4, gir1.2-upowerglib-1.0, gir1.2-xapp-1.0, gkbd-capplet, gnome-backgrounds, gnome-themes-standard, gsettings-desktop-schemas (>= 0.1.7), iso-flags-png-320x240, libglib2.0-bin, libjs-jquery, mesa-utils, muffin (>= 3.4), nemo (>= 3.4), policykit-1-gnome, python, python-dbus, python-gi-cairo, python-lxml, python-pam, python-pexpect, python-pil, python-pyinotify, python3, python3-dbus, python3-gi, xapps-common, gir1.2-meta-muffin-0.0, gir1.2-networkmanager-1.0, dconf-gsettings-backend | gsettings-backend, python3:any, python:any, libatk-bridge2.0-0 (>= 2.5.3), libatk1.0-0 (>= 1.12.4), libc6 (>= 2.14), libcairo2 (>= 1.10.0), libcinnamon-menu-3-0 (>= 2.2.0), libcjs0 (>= 2.0.0), libclutter-1.0-0 (>= 1.10.0), libcogl-pango20 (>= 1.17.4), libcogl-path20 (>= 1.17.4), libcogl20 (>= 1.17.4), libcroco3 (>= 0.6.2), libgdk-pixbuf2.0-0 (>= 2.22.0), libgirepository-1.0-1 (>= 0.9.2), libgl1-mesa-glx | libgl1, libglib2.0-0 (>= 2.37.3), libgstreamer1.0-0 (>= 1.4.0), libgtk-3-0 (>= 3.9.12), libmuffin0 (>= 2.6.0), libpango-1.0-0 (>= 1.14.0), libpangocairo-1.0-0 (>= 1.14.0), libstartup-notification0 (>= 0.11), libx11-6, libxfixes3 (>= 1:5.0), libxml2 (>= 2.7.4)
Recommends: blueman, cinnamon-l10n (>= 3.4), gir1.2-gnomebluetooth-1.0, gir1.2-nmgtk-1.0, gksu, gnome-terminal | x-terminal-emulator, metacity-common, network-manager-gnome
Suggests: cinnamon-doc, python-opencv
Breaks: cinnamon-common (<= 2.2.14-1)
Description-fr: bureau innovant et confortable
 Cinnamon est un environnement de bureau qui fournit des fonctions
 innovantes évoluées et une expérience utilisateur traditionnelle.
 .
 L'organisation du bureau est similaire à celle de GNOME 2. La technologie
 sous-jacente est dérivée de gnome-shell. L'accent est mis sur le confort
 des utilisateurs avec une expérience de bureau simple à utiliser et
 confortable.
Description-md5: 85a575fee9af55bc8d39cbd88a551b9d
Homepage: http://cinnamon.linuxmint.com
Tag: interface::graphical, uitoolkit::gtk
Section: x11
Priority: optional
Filename: pool/main/c/cinnamon/cinnamon_3.4.6-1_amd64.deb
Size: 312256
MD5sum: 832dda5ec09a3cd3d57f4b627aac97bd
SHA256: 9a534687fce48111e56f8141f85cf5199d4dd36d227e38f48c363a2badf90baa
 



merci smolski , vraiment sympa ce lien .

Dernière modification par Debian Alain (18-09-2017 21:17:18)


1498812139.jpg NIGHTWISH - STORYTIME -
RYZEN7 1700X - PRIME X370 PRO - 16 Go DDR4 - RADEON PULSE RX 550 4GB DDR5 OC UEFI - CORSAIR RM750X - SSD crucial MX500 500GB

En ligne

Pied de page des forums